#ifndef _OMINSTRUMENT

typedef int 	OMBoolean;
typedef int 	intnum; 
#define DECLARE_MEMORY_ALLOCATOR(class,int)	
#define IMPLEMENT_MEMORY_ALLOCATOR(class,int,intnum,OMBoolean)  

// for now define __STDC__
#define __STDC__ 

#ifndef NULL
#ifdef __STDC__
#define NULL 0
#else
#define NULL ((char *) 0)
#endif /* __STDC__ */
#endif /* NULL */

#ifndef TRUE
#define TRUE 1
#endif 

#ifndef FALSE
#define FALSE 0
#endif   

#define eventNotConsumed 0 
#define eventConsumed 1 
#define instanceUnderDestruction 2
#define instanceReachTerminate 3
class IOxfReactive {   
public:
    // Event dispatching result 
    typedef int TakeEventStatus;
}; 

extern int OM_CURRENT_EVENT_ID;
//extern void setId(int identifier); 

inline void setId(int identifier) {
  OM_CURRENT_EVENT_ID = identifier;
}

#define SEND_EVENT(identifier)  setId(identifier); \
rootState_processEvent();

#else 

#define SEND_EVENT(identifier)   OMEvent* the_current_event_p; \
  the_current_event_p = new OMEvent((IOxfEvent::ID)identifier); \
  send(the_current_event_p);

    #endif

